package sw1.archivioStudenti;

public class Main
{
	Archivio a = null;
	public static void main(String[] argv) throws java.io.IOException
	{
		new Main(argv);
	}

	public Main(String[] args) throws java.io.IOException
	{
		String line = null;
		a = new Archivio();

		while(true)
		{
			System.out.println("Inserisci/Stampa/Esci");
			line = Lettore.readLineFromInput();
			if(line.equals("Inserisci"))
				insert();
			else if(line.equals("Stampa"))
				a.stampa();
			else if(line.equals("Esci"))
				break;
			else
				System.out.println("Comando non riconosciuto <" + line + ">");
		}
	}

	public void insert() throws java.io.IOException
	{
		Studente stud = null;
		System.out.print("Nome ? > ");
		String n = Lettore.readLineFromInput();
		System.out.print("Cognome ? > ");
		String c = Lettore.readLineFromInput();
		System.out.print("Matricola ? > ");
		String line = Lettore.readLineFromInput();
		long mat = -1;
		try
		{
			mat = Long.parseLong(line);
		}
		catch(NumberFormatException nfe)
		{
			nfe.printStackTrace();
			System.err.println("Inserimento Abortito");
			return;
		}

		System.out.println("Input completato? y/n");
		line = Lettore.readLineFromInput();
		if(line.equals("y"))
		{
			stud = new Studente(n,c,mat);
		}
		else
		{
			System.out.print("Nome Relatore ? > ");
			String nr = Lettore.readLineFromInput();
			System.out.print("Titolo Tesi ? > ");
			String tt = Lettore.readLineFromInput();

			System.out.println("Input completato? y/n");
			line = Lettore.readLineFromInput();
			if(line.equals("y"))
			{
				stud = new Laureando(n,c,mat,nr,tt);
			}
			else
			{
				System.out.print("Nome Relatore Dottorato? > ");
				String nrd = Lettore.readLineFromInput();
				System.out.print("Titolo Tesi Dottorato? > ");
				String ttd = Lettore.readLineFromInput();
				stud = new Dottorando(n,c,mat,nr,tt,nrd,ttd);
			}
		}

		a.insert(stud);
	}
}
